<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

require_once SD_TRUST_PATH . '/class/AbstractListAction.class.php';

/**
 * Sd_EnemyListAction
**/
class Sd_EnemyListAction extends Sd_AbstractListAction
{
    /**
     * &_getHandler
     * 
     * @param   void
     * 
     * @return  Sd_EnemyHandler
     * 
     * @protected
    **/
    function &_getHandler()
    {
        $handler =& $this->mAsset->getObject('handler', 'enemy');
        return $handler;
    }

    /**
     * &_getFilterForm
     * 
     * @param   void
     * 
     * @return  Sd_EnemyFilterForm
     * 
     * @protected
    **/
    function &_getFilterForm()
    {
        // $filter =& new Sd_EnemyFilterForm();
        $filter =& $this->mAsset->getObject('filter', 'enemy',false);
        $filter->prepare($this->_getPageNavi(), $this->_getHandler());
        return $filter;
    }

    /**
     * _getBaseUrl
     * 
     * @param   void
     * 
     * @return  string
     * 
     * @protected
    **/
    function _getBaseUrl()
    {
        return './index.php?action=EnemyList';
    }

    /**
     * executeViewIndex
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewIndex(&$render)
    {
        $render->setTemplateName($this->mAsset->mDirname . '_enemy_list.html');
        #cubson::lazy_load_array('enemy', $this->mObjects);
        $render->setAttribute('objects', $this->mObjects);
        $render->setAttribute('pageNavi', $this->mFilter->mNavi);
        
        $render->setAttribute('enumHandler',$this->mAsset->getObject('handler','enum'));
    }
}

?>
