<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Sd_CharObject
**/
class Sd_CharObject extends XoopsSimpleObject
{
    /**
     * Sd_CharObject
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_CharObject()
    {
        $this->initVar('eno', XOBJ_DTYPE_INT, '', false);
        $this->initVar('full_name', XOBJ_DTYPE_STRING, '', false, 40);
        $this->initVar('nick_name', XOBJ_DTYPE_STRING, '', false, 16);
        $this->initVar('battle_name', XOBJ_DTYPE_STRING, '', false, 16);
        $this->initVar('sex', XOBJ_DTYPE_INT, '', false);
        $this->initVar('age', XOBJ_DTYPE_INT, '', false);
        $this->initVar('height', XOBJ_DTYPE_INT, '', false);
        $this->initVar('weight', XOBJ_DTYPE_INT, '', false);
        $this->initVar('kind', XOBJ_DTYPE_INT, '', false);
        $this->initVar('element_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('element_ext', XOBJ_DTYPE_INT, '', false);
        $this->initVar('active_costume', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_lv', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_life', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_soul', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_pow', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_str', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_dex', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_speed', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_mag', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_reg', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_con', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_exp', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_money', XOBJ_DTYPE_INT, '', false);
        $this->initVar('status_sp', XOBJ_DTYPE_INT, '', false);
        $this->initVar('hp_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('at_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('df_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mat_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mdf_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('act_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('move_base', XOBJ_DTYPE_INT, '', false);
        $this->initVar('hp_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('at_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('df_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mat_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mdf_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('act_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('move_modify', XOBJ_DTYPE_INT, '', false);
        $this->initVar('hp_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('at_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('df_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mat_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('mdf_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('act_equip', XOBJ_DTYPE_INT, '', false);
        $this->initVar('move_equip', XOBJ_DTYPE_INT, '', false);
    }
}

/**
 * Sd_CharHandler
**/
class Sd_CharHandler extends XoopsObjectGenericHandler
{
    /**
     * @var  string
     * 
     * @public
    **/
    var $mTable = '{dirname}_char';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mPrimary = 'eno';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mClass = 'Sd_CharObject';

    /**
     * Sd_CharHandler
     * 
     * @param   XoopsDatabase  &$db
     * @param   string  $dirname
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_CharHandler(&$db,$dirname)
    {
        $this->mTable = str_replace('{dirname}',$dirname,$this->mTable);
        parent::XoopsObjectGenericHandler($db);
    }
}

?>
